Package org.lwjgl.opengl

# Class ARBVertexBlend

java.lang.Object
org.lwjgl.opengl.ARBVertexBlend

public final class ARBVertexBlend extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ACTIVE_VERTEX_UNITS_ARB`
`static final int`
`GL_CURRENT_WEIGHT_ARB`
`static final int`
`GL_MAX_VERTEX_UNITS_ARB`
`static final int`
`GL_MODELVIEW0_ARB`
`static final int`
`GL_MODELVIEW1_ARB`
`static final int`
`GL_MODELVIEW10_ARB`
`static final int`
`GL_MODELVIEW11_ARB`
`static final int`
`GL_MODELVIEW12_ARB`
`static final int`
`GL_MODELVIEW13_ARB`
`static final int`
`GL_MODELVIEW14_ARB`
`static final int`
`GL_MODELVIEW15_ARB`
`static final int`
`GL_MODELVIEW16_ARB`
`static final int`
`GL_MODELVIEW17_ARB`
`static final int`
`GL_MODELVIEW18_ARB`
`static final int`
`GL_MODELVIEW19_ARB`
`static final int`
`GL_MODELVIEW2_ARB`
`static final int`
`GL_MODELVIEW20_ARB`
`static final int`
`GL_MODELVIEW21_ARB`
`static final int`
`GL_MODELVIEW22_ARB`
`static final int`
`GL_MODELVIEW23_ARB`
`static final int`
`GL_MODELVIEW24_ARB`
`static final int`
`GL_MODELVIEW25_ARB`
`static final int`
`GL_MODELVIEW26_ARB`
`static final int`
`GL_MODELVIEW27_ARB`
`static final int`
`GL_MODELVIEW28_ARB`
`static final int`
`GL_MODELVIEW29_ARB`
`static final int`
`GL_MODELVIEW3_ARB`
`static final int`
`GL_MODELVIEW30_ARB`
`static final int`
`GL_MODELVIEW31_ARB`
`static final int`
`GL_MODELVIEW4_ARB`
`static final int`
`GL_MODELVIEW5_ARB`
`static final int`
`GL_MODELVIEW6_ARB`
`static final int`
`GL_MODELVIEW7_ARB`
`static final int`
`GL_MODELVIEW8_ARB`
`static final int`
`GL_MODELVIEW9_ARB`
`static final int`
`GL_VERTEX_BLEND_ARB`
`static final int`
`GL_WEIGHT_ARRAY_ARB`
`static final int`
`GL_WEIGHT_ARRAY_POINTER_ARB`
`static final int`
`GL_WEIGHT_ARRAY_SIZE_ARB`
`static final int`
`GL_WEIGHT_ARRAY_STRIDE_ARB`
`static final int`
`GL_WEIGHT_ARRAY_TYPE_ARB`
`static final int`
`GL_WEIGHT_SUM_UNITY_ARB`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glVertexBlendARB(int count)`
`static void`
`glWeightARB(ByteBuffer pWeights)`
`static void`
`glWeightARB(DoubleBuffer pWeights)`
`static void`
`glWeightARB(FloatBuffer pWeights)`
`static void`
`glWeightARB(IntBuffer pWeights)`
`static void`
`glWeightARB(ShortBuffer pWeights)`
`static void`
`glWeightPointerARB(int size, boolean unsigned, int stride, ByteBuffer pPointer)`
`static void`
`glWeightPointerARB(int size, boolean unsigned, int stride, IntBuffer pPointer)`
`static void`
`glWeightPointerARB(int size, boolean unsigned, int stride, ShortBuffer pPointer)`
`static void`
`glWeightPointerARB(int size, int type, int stride, long pPointer_buffer_offset)`
`static void`
`glWeightPointerARB(int size, int stride, DoubleBuffer pPointer)`
`static void`
`glWeightPointerARB(int size, int stride, FloatBuffer pPointer)`
`static void`
`glWeightuARB(ByteBuffer pWeights)`
`static void`
`glWeightuARB(IntBuffer pWeights)`
`static void`
`glWeightuARB(ShortBuffer pWeights)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MAX_VERTEX_UNITS_ARB

public static final int GL_MAX_VERTEX_UNITS_ARB

See Also:
  - Constant Field Values

### GL_ACTIVE_VERTEX_UNITS_ARB

public static final int GL_ACTIVE_VERTEX_UNITS_ARB

See Also:
  - Constant Field Values

### GL_WEIGHT_SUM_UNITY_ARB

public static final int GL_WEIGHT_SUM_UNITY_ARB

See Also:
  - Constant Field Values

### GL_VERTEX_BLEND_ARB

public static final int GL_VERTEX_BLEND_ARB

See Also:
  - Constant Field Values

### GL_CURRENT_WEIGHT_ARB

public static final int GL_CURRENT_WEIGHT_ARB

See Also:
  - Constant Field Values

### GL_WEIGHT_ARRAY_TYPE_ARB

public static final int GL_WEIGHT_ARRAY_TYPE_ARB

See Also:
  - Constant Field Values

### GL_WEIGHT_ARRAY_STRIDE_ARB

public static final int GL_WEIGHT_ARRAY_STRIDE_ARB

See Also:
  - Constant Field Values

### GL_WEIGHT_ARRAY_SIZE_ARB

public static final int GL_WEIGHT_ARRAY_SIZE_ARB

See Also:
  - Constant Field Values

### GL_WEIGHT_ARRAY_POINTER_ARB

public static final int GL_WEIGHT_ARRAY_POINTER_ARB

See Also:
  - Constant Field Values

### GL_WEIGHT_ARRAY_ARB

public static final int GL_WEIGHT_ARRAY_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW0_ARB

public static final int GL_MODELVIEW0_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW1_ARB

public static final int GL_MODELVIEW1_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW2_ARB

public static final int GL_MODELVIEW2_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW3_ARB

public static final int GL_MODELVIEW3_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW4_ARB

public static final int GL_MODELVIEW4_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW5_ARB

public static final int GL_MODELVIEW5_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW6_ARB

public static final int GL_MODELVIEW6_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW7_ARB

public static final int GL_MODELVIEW7_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW8_ARB

public static final int GL_MODELVIEW8_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW9_ARB

public static final int GL_MODELVIEW9_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW10_ARB

public static final int GL_MODELVIEW10_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW11_ARB

public static final int GL_MODELVIEW11_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW12_ARB

public static final int GL_MODELVIEW12_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW13_ARB

public static final int GL_MODELVIEW13_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW14_ARB

public static final int GL_MODELVIEW14_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW15_ARB

public static final int GL_MODELVIEW15_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW16_ARB

public static final int GL_MODELVIEW16_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW17_ARB

public static final int GL_MODELVIEW17_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW18_ARB

public static final int GL_MODELVIEW18_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW19_ARB

public static final int GL_MODELVIEW19_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW20_ARB

public static final int GL_MODELVIEW20_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW21_ARB

public static final int GL_MODELVIEW21_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW22_ARB

public static final int GL_MODELVIEW22_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW23_ARB

public static final int GL_MODELVIEW23_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW24_ARB

public static final int GL_MODELVIEW24_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW25_ARB

public static final int GL_MODELVIEW25_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW26_ARB

public static final int GL_MODELVIEW26_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW27_ARB

public static final int GL_MODELVIEW27_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW28_ARB

public static final int GL_MODELVIEW28_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW29_ARB

public static final int GL_MODELVIEW29_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW30_ARB

public static final int GL_MODELVIEW30_ARB

See Also:
  - Constant Field Values

### GL_MODELVIEW31_ARB

public static final int GL_MODELVIEW31_ARB

See Also:
  - Constant Field Values

## Method Details

### glWeightARB

public static void glWeightARB(ByteBuffer pWeights)

### glWeightARB

public static void glWeightARB(ShortBuffer pWeights)

### glWeightARB

public static void glWeightARB(IntBuffer pWeights)

### glWeightARB

public static void glWeightARB(FloatBuffer pWeights)

### glWeightARB

public static void glWeightARB(DoubleBuffer pWeights)

### glWeightuARB

public static void glWeightuARB(ByteBuffer pWeights)

### glWeightuARB

public static void glWeightuARB(ShortBuffer pWeights)

### glWeightuARB

public static void glWeightuARB(IntBuffer pWeights)

### glWeightPointerARB

public static void glWeightPointerARB(int size, int stride, DoubleBuffer pPointer)

### glWeightPointerARB

public static void glWeightPointerARB(int size, int stride, FloatBuffer pPointer)

### glWeightPointerARB

public static void glWeightPointerARB(int size, boolean unsigned, int stride, ByteBuffer pPointer)

### glWeightPointerARB

public static void glWeightPointerARB(int size, boolean unsigned, int stride, IntBuffer pPointer)

### glWeightPointerARB

public static void glWeightPointerARB(int size, boolean unsigned, int stride, ShortBuffer pPointer)

### glWeightPointerARB

public static void glWeightPointerARB(int size, int type, int stride, long pPointer_buffer_offset)

### glVertexBlendARB

public static void glVertexBlendARB(int count)